ID(7)

NAME

id - add request ID to the context

DESCRIPTION

id adds a random request ID to the context. Other handlers such as log use it in the logging if present.

SYNTAX

    id

EXAMPLES

    example.org {
        id
        any
        whoami
    }

CONTEXT

The id handler adds a single key to the context:

When atomdns-log(7) handler is used the ID is automatically logged as id.id=...